<?php

use Phinx\Migration\AbstractMigration;
use Phinx\Db\Adapter\MysqlAdapter;

class AddBonAchat extends AbstractMigration
{
    public function change()
    {
        $this
            ->table("bon_achat_statut", ['id' => false, 'primary_key' => ["bon_achat_statut_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('bon_achat_statut_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'signed' => false])
            ->addColumn('bon_achat_statut_nom', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'bon_achat_statut_id'])
            ->create();

        $this
            ->table("bon_achat", ['id' => false, 'primary_key' => ["bon_achat_id"], 'engine' => "InnoDB", 'encoding' => "utf8", 'collation' => "utf8_general_ci", 'comment' => ""])
            ->addColumn('bon_achat_id', 'integer', ['null' => false, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'identity' => 'enable', 'signed' => false])
            ->addColumn('client_id', 'integer', ['null' => true, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'bon_achat_id', 'signed' => false])
            ->addColumn('bon_achat_nom', 'string', ['null' => false, 'default' => '', 'limit' => 255, 'collation' => "utf8_general_ci", 'encoding' => "utf8", 'after' => 'client_id'])
            ->addColumn('bon_achat_prix', 'decimal', ['null' => false, 'default' => '0.00', 'precision' => 15, 'scale' => 2, 'after' => 'bon_achat_nom'])
            ->addColumn('bon_achat_prix_min', 'decimal', ['null' => false, 'default' => '0.00', 'precision' => 15, 'scale' => 2, 'after' => 'bon_achat_prix'])
            ->addColumn('bon_achat_date_ajout', 'datetime', ['null' => false, 'default' => '0000-00-00 00:00:00', 'after' => 'bon_achat_prix_min'])
            ->addColumn('bon_achat_date_modif', 'datetime', ['null' => false, 'after' => 'bon_achat_date_ajout'])
            ->addColumn('bon_achat_date_limit', 'date', ['null' => false, 'default' => '0000-00-00', 'after' => 'bon_achat_date_modif'])
            ->addColumn('bon_achat_statut_id', 'integer', ['null' => false, 'default' => '0', 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'bon_achat_date_limit', 'signed' => false])
            ->addColumn('commande_id', 'integer', ['null' => true, 'limit' => MysqlAdapter::INT_REGULAR, 'precision' => 10, 'after' => 'bon_achat_statut_id', 'signed' => false])
            ->addForeignKey('client_id', 'client', 'client_id', array(
                'delete' => 'CASCADE',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('bon_achat_statut_id', 'bon_achat_statut', 'bon_achat_statut_id', array(
                'delete' => 'RESTRICT',
                'update' => 'CASCADE'
            ))
            ->addForeignKey('client_id', 'client', 'client_id', array(
                'delete' => 'SET NULL',
                'update' => 'CASCADE'
            ))
            ->addIndex(['client_id'], ['name' => "client_id", 'unique' => false])
            ->addIndex(['bon_achat_statut_id'], ['name' => "bon_achat_statut_id", 'unique' => false])
            ->addIndex(['commande_id'], ['name' => "commande_id", 'unique' => false])
            ->create();
    }
}
