<?php

use Phinx\Migration\AbstractMigration;

class InsertCommande extends AbstractMigration
{
    public function up()
    {
        $commande_statut = array(
            array('commande_statut_id' => '1','commande_statut_rang' => '20'),
            array('commande_statut_id' => '2','commande_statut_rang' => '30'),
            array('commande_statut_id' => '3','commande_statut_rang' => '40'),
            array('commande_statut_id' => '4','commande_statut_rang' => '50'),
            array('commande_statut_id' => '98','commande_statut_rang' => '25'),
            array('commande_statut_id' => '99','commande_statut_rang' => '10')
        );

        $this
            ->table('commande_statut')
            ->insert($commande_statut)
            ->save();

        $commande_statut_nom = array(
            array('commande_statut_nom_id' => '1','commande_statut_id' => '99','langue_id' => '1','commande_statut_nom_nom' => 'Annulée','commande_statut_nom_sujet' => '[%SITE_NAME%] Votre commande a ete annulee','commande_statut_nom_email' => 'Bonjour %CLIENT_CIVILITE% %CLIENT_PRENOM% %CLIENT_NOM%,

Nous vous informons que la commande n°%COMMANDE_ID% a été annulée.

%IF_MOTIF%Motif : %MOTIF% %IF_MOTIF%

A très bientôt,
%SITE_NAME%
%SITE_URL%','commande_statut_nom_email_html' => '<p>Bonjour %CLIENT_CIVILITE% %CLIENT_PRENOM% %CLIENT_NOM%,</p>
<p>Nous vous informons que la commande n&deg;%COMMANDE_ID% a &eacute;t&eacute; annul&eacute;e.<br /><br />%IF_MOTIF%Motif : %MOTIF% %IF_MOTIF%<br /><br />A tr&egrave;s bient&ocirc;t,<br />%SITE_NAME%<br /><a href="%SITE_URL%">%SITE_URL%</a></p>'),
            array('commande_statut_nom_id' => '2','commande_statut_id' => '1','langue_id' => '1','commande_statut_nom_nom' => 'En attente de paiement','commande_statut_nom_sujet' => '[%SITE_NAME%] Recapitulatif de votre commande','commande_statut_nom_email' => 'Bonjour %CLIENT_CIVILITE% %CLIENT_PRENOM% %CLIENT_NOM%,

Nous avons le plaisir de vous confirmer l’enregistrement de votre commande, dont vous trouverez le détail ci-dessous et en pièce jointe. 

-- Récapitulatif de la commande --
N° de Commande : %COMMANDE_ID%
Date : %COMMANDE_DATE%

-- Adresse de livraison --
%ADRESSE_LIVRAISON%

-- Votre commande --
%LISTE_PRODUITS%
Frais de port %VAT% : %COMMANDE_PORT_TTC% Euro(s)
Montant total %VAT% : %TOTAL_TTC% Euro(s) 
Mode de paiement : %PAIEMENT_NOM_NOM%

%PAIEMENT_NOM_TXT_EMAIL%

-- Suivi de commande -- 
Vous recevrez un email de suivi de commande vous donnant les détails de votre commande au moment de la prise en charge du colis par le réseau de notre transporteur.

Vous pouvez aussi consulter en ligne les étapes de préparation de votre commande dans votre espace client.

Nous vous remercions de votre commande et à bientôt sur notre site.

%SITE_NAME%
%SITE_URL%','commande_statut_nom_email_html' => '<p>Bonjour %CLIENT_CIVILITE% %CLIENT_PRENOM% %CLIENT_NOM%,<br /><br />Nous avons le plaisir de vous confirmer l&rsquo;enregistrement de votre commande, dont vous trouverez le d&eacute;tail ci-dessous et en pi&egrave;ce jointe.<br /><br /><strong>R&eacute;capitulatif de la commande</strong><br />N&deg; de Commande : %COMMANDE_ID%<br />Date : %COMMANDE_DATE%<br />D&eacute;lai d\'expedition : %COMMANDE_LIVRAISON_DELAI%<br /><br /><strong>Adresse de livraison</strong><br />%ADRESSE_LIVRAISON%<br /><br /><strong>Votre commande</strong><br />%LISTE_PRODUITS%<br />Frais de port %VAT% : %COMMANDE_PORT_TTC% Euro(s)<br />Montant total %VAT% : %TOTAL_TTC% Euro(s) <br />Mode de paiement : %PAIEMENT_NOM_NOM%</p>
<p>%PAIEMENT_NOM_TXT_EMAIL%</p>
<p><br /><strong>Suivi de commande</strong><br /><br />Vous recevrez un email de suivi de commande vous donnant les d&eacute;tails de votre commande au moment de la prise en charge du colis par le r&eacute;seau de notre transporteur.<br /><br />Vous pouvez aussi consulter en ligne les &eacute;tapes de pr&eacute;paration de votre commande dans votre espace client.<br /><br />Nous vous remercions de votre commande et &agrave; bient&ocirc;t sur notre site.<br /><br />%SITE_NAME%<br /><a href="%SITE_URL%">%SITE_URL%</a></p>'),
            array('commande_statut_nom_id' => '3','commande_statut_id' => '2','langue_id' => '1','commande_statut_nom_nom' => 'Paiement autorisé','commande_statut_nom_sujet' => '[%SITE_NAME%] Votre commande : Paiement autorise','commande_statut_nom_email' => 'Bonjour %CLIENT_CIVILITE% %CLIENT_PRENOM% %CLIENT_NOM%,

Nous avons le plaisir de vous informer de l\'acceptation du règlement pour la commande n°%COMMANDE_ID%

-- Récapitulatif de votre commande --
N° de Commande : %COMMANDE_ID%
Date : %COMMANDE_DATE%

-- Adresse de livraison --
%ADRESSE_LIVRAISON%

-- Votre commande --
%LISTE_PRODUITS%
Frais de port %VAT% : %COMMANDE_PORT_TTC% Euro(s)
Montant total %VAT% : %TOTAL_TTC% Euro(s) 
Mode de paiement : %PAIEMENT_NOM_NOM%

-- Suivi de commande -- 
Vous recevrez un email de suivi de commande vous donnant les détails de votre commande au moment de la prise en charge du colis par le réseau de notre transporteur.

Vous pouvez aussi consulter en ligne les étapes de préparation de votre commande dans votre espace client.

Nous vous remercions de votre commande et à bientôt sur notre site.

%SITE_NAME%
%SITE_URL%','commande_statut_nom_email_html' => '<p>Bonjour %CLIENT_CIVILITE% %CLIENT_PRENOM% %CLIENT_NOM%,<br /><br />Nous avons le plaisir de vous informer de l\'acceptation du r&egrave;glement pour la commande n&deg;%COMMANDE_ID%<br /><br /><strong>R&eacute;capitulatif de votre commande</strong><br />N&deg; de Commande : %COMMANDE_ID%<br />Date : %COMMANDE_DATE%<br />D&eacute;lai d\'expedition : %COMMANDE_LIVRAISON_DELAI%<br /><strong><br />Adresse de livraison</strong><br />%ADRESSE_LIVRAISON%<br /><br /><strong>Votre commande</strong><br />%LISTE_PRODUITS%<br />Frais de port %VAT% : %COMMANDE_PORT_TTC% Euro(s)<br />Montant total %VAT% : %TOTAL_TTC% Euro(s) <br />Mode de paiement : %PAIEMENT_NOM_NOM%</p>
<p><strong>Suivi de commande</strong><br />Vous recevrez un email de suivi de commande vous donnant les d&eacute;tails de votre commande au moment de la prise en charge du colis par le r&eacute;seau de notre transporteur.<br /><br />Vous pouvez aussi consulter en ligne les &eacute;tapes de pr&eacute;paration de votre commande dans votre espace client.<br /><br />Nous vous remercions et &agrave; bient&ocirc;t sur notre site.<br /><br />%SITE_NAME%<br /><a href="%SITE_URL%">%SITE_URL%</a></p>'),
            array('commande_statut_nom_id' => '4','commande_statut_id' => '3','langue_id' => '1','commande_statut_nom_nom' => 'En cours de préparation','commande_statut_nom_sujet' => '[%SITE_NAME%] Votre commande est en cours de preparation','commande_statut_nom_email' => 'Bonjour %CLIENT_CIVILITE% %CLIENT_PRENOM% %CLIENT_NOM%,

Votre commande n°%COMMANDE_ID% est en cours de préparation.

%SITE_NAME%
%SITE_URL%','commande_statut_nom_email_html' => '<p>Bonjour %CLIENT_CIVILITE% %CLIENT_PRENOM% %CLIENT_NOM%,<br /><br />Votre commande n&deg;%COMMANDE_ID% est en cours de pr&eacute;paration.<br /><br />%SITE_NAME%<br /><a href="%SITE_URL%">%SITE_URL%</a></p>'),
            array('commande_statut_nom_id' => '5','commande_statut_id' => '4','langue_id' => '1','commande_statut_nom_nom' => 'Expédié','commande_statut_nom_sujet' => '[%SITE_NAME%] Votre commande a ete expediee','commande_statut_nom_email' => 'Bonjour %CLIENT_CIVILITE% %CLIENT_PRENOM% %CLIENT_NOM%,

Vous avez commandé sur %SITE_NAME% et nous vous en remercions.
Nous vous informons que votre commande vient d\'être expédiée :

%IF_COLIS%Nous vous informons que votre commande a été envoyée ce jour sous le numéro d\'envoi suivant : %COLIS%. Nous vous invitons à suivre directement l\'avancement de la livraison de ce colis sur le site : %LIVRAISON_SUIVI%.%IF_COLIS%

Lors de la réception de votre colis, veillez à contrôler la conformité de votre commande ainsi que l\'état des articles reçus.

Bien cordialement,

%SITE_NAME%
%SITE_URL%','commande_statut_nom_email_html' => '<p>Bonjour %CLIENT_CIVILITE% %CLIENT_PRENOM% %CLIENT_NOM%,<br /><br />Vous avez command&eacute; sur %SITE_NAME% et nous vous en remercions.<br />Nous vous informons que votre commande vient d\'&ecirc;tre exp&eacute;di&eacute;e :<br /><br />%IF_COLIS%Nous vous informons que votre commande a &eacute;t&eacute; envoy&eacute;e ce jour sous le num&eacute;ro d\'envoi suivant : %COLIS%. Nous vous invitons &agrave; suivre directement l\'avancement de la livraison de ce colis sur le site : <a href="%LIVRAISON_SUIVI%">%LIVRAISON_SUIVI%</a>.%IF_COLIS%<br /><br />Lors de la r&eacute;ception de votre colis, veillez &agrave; contr&ocirc;ler la conformit&eacute; de votre commande ainsi que l\'&eacute;tat des articles re&ccedil;us.<br /><br />Bien cordialement,<br /><br />%SITE_NAME%<br /><a href="%SITE_URL%">%SITE_URL%</a></p>'),
            array('commande_statut_nom_id' => '9','commande_statut_id' => '98','langue_id' => '1','commande_statut_nom_nom' => 'Relance paiement','commande_statut_nom_sujet' => '[%SITE_NAME%] Relance paiement','commande_statut_nom_email' => 'Bonjour %CLIENT_CIVILITE% %CLIENT_PRENOM% %CLIENT_NOM%,

Nous nous permettons de vous écrire car nous n\'avons pas encore réceptionné votre paiement pour la commande n°%COMMANDE_ID%. 

Si votre règlement est bien parti, nous vous remercions d\'avoir la gentillesse de nous envoyer un mail ou de nous appeler pour nous en informer. Cela nous permettra de conserver pour vous les produits en stock.

Si vous souhaitez annuler votre commande, nous vous remercions également de bien vouloir simplement nous en informer afin que nous annulions votre commande. 

A très bientôt,
%SITE_NAME%
%SITE_URL%','commande_statut_nom_email_html' => 'Bonjour %CLIENT_CIVILITE% %CLIENT_PRENOM% %CLIENT_NOM%,<br /> <br /> Nous nous permettons de vous &eacute;crire car nous n\'avons pas encore r&eacute;ceptionn&eacute; votre paiement pour la commande n&deg;%COMMANDE_ID%. <br /> <br /> Si votre r&egrave;glement est bien parti, nous vous remercions d\'avoir la gentillesse de nous envoyer un mail ou de nous appeler pour nous en informer. Cela nous permettra de conserver pour vous les produits en stock.<br /> <br /> Si vous souhaitez annuler votre commande, nous vous remercions &eacute;galement de bien vouloir simplement nous en informer afin que nous annulions votre commande. <br /> <br /> A tr&egrave;s bient&ocirc;t,<br /> %SITE_NAME%<br /> %SITE_URL%')
        );

        $this
            ->table('commande_statut_nom')
            ->insert($commande_statut_nom)
            ->save();

        $commande_statut_option = array(
            array('commande_statut_option_id' => '1','commande_statut_id' => '99','commande_statut_option_rang' => '10'),
            array('commande_statut_option_id' => '2','commande_statut_id' => '99','commande_statut_option_rang' => '999'),
            array('commande_statut_option_id' => '3','commande_statut_id' => '99','commande_statut_option_rang' => '1000'),
            array('commande_statut_option_id' => '6','commande_statut_id' => '99','commande_statut_option_rang' => '1001'),
            array('commande_statut_option_id' => '7','commande_statut_id' => '99','commande_statut_option_rang' => '1002')
        );

        $this
            ->table('commande_statut_option')
            ->insert($commande_statut_option)
            ->save();

        $commande_statut_option_nom = array(
            array('commande_statut_option_nom_id' => '1','commande_statut_option_id' => '1','langue_id' => '1','commande_statut_option_nom_nom' => 'Annulation demandée par le client','commande_statut_option_nom_sujet' => '','commande_statut_option_nom_email' => 'Votre commande a été annulée suite à votre demande.'),
            array('commande_statut_option_nom_id' => '2','commande_statut_option_id' => '2','langue_id' => '1','commande_statut_option_nom_nom' => 'Test DediServices','commande_statut_option_nom_sujet' => '','commande_statut_option_nom_email' => 'Annulation Commande de test'),
            array('commande_statut_option_nom_id' => '3','commande_statut_option_id' => '3','langue_id' => '1','commande_statut_option_nom_nom' => 'Personnalisé','commande_statut_option_nom_sujet' => '','commande_statut_option_nom_email' => 'Tapez ici un message pour l\'annulation de la commande.'),
            array('commande_statut_option_nom_id' => '6','commande_statut_option_id' => '6','langue_id' => '1','commande_statut_option_nom_nom' => 'Faire une annulation sans avoir (pour les tests)','commande_statut_option_nom_sujet' => '','commande_statut_option_nom_email' => '/!\\ POUR LES COMMANDES DE TEST UNIQUEMENT /!\\'),
            array('commande_statut_option_nom_id' => '7','commande_statut_option_id' => '7','langue_id' => '1','commande_statut_option_nom_nom' => 'Faire un remboursement via votre TPE Bancaire','commande_statut_option_nom_sujet' => '','commande_statut_option_nom_email' => 'Votre Commande à été annulée, et vous serez remboursé directement par Carte Bancaire.')
        );

        $this
            ->table('commande_statut_option_nom')
            ->insert($commande_statut_option_nom)
            ->save();
    }

    public function down()
    {
        $this->execute('SET FOREIGN_KEY_CHECKS=0');
        $this
            ->table('commande_statut')
            ->truncate();
        $this
            ->table('commande_statut_nom')
            ->truncate();
        $this
            ->table('commande_statut_option')
            ->truncate();
        $this
            ->table('commande_statut_option_nom')
            ->truncate();
        $this->execute('SET FOREIGN_KEY_CHECKS=1');
    }
}
