<?php

use Phinx\Migration\AbstractMigration;

class AddEmail extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $this->table('email', ['id' => 'email_id'])
            ->addColumn('email_code', 'string')
            ->addColumn('email_nom', 'string')
            ->addColumn('email_description', 'text')
            ->addColumn('email_statut', 'integer', ['signed' => false])
            ->create()
        ;

        $this->table('email')
            ->changeColumn('email_id', 'integer', ['identity' => true, 'signed' => false])
            ->update()
        ;

        $this->table('email_nom', ['id' => 'email_nom_id'])
            ->addColumn('email_id', 'integer', ['signed' => false])
            ->addColumn('langue_id', 'integer', ['signed' => false])
            ->addColumn('email_nom_sujet', 'string')
            ->addColumn('email_nom_content', 'text')
            ->addForeignKey(
                'email_id',
                'email',
                'email_id',
                ['delete' => 'CASCADE', 'update' => 'CASCADE']
            )
            ->addForeignKey(
                'langue_id',
                'langue',
                'langue_id',
                ['delete' => 'CASCADE', 'update' => 'CASCADE']
            )
            ->create()
        ;

        $this->table('email_nom')
            ->changeColumn('email_nom_id', 'integer', ['identity' => true, 'signed' => false])
            ->update()
        ;

        $this->execute("
INSERT INTO `back_module` (`module_id`, `module_parent_id`, `module_nom`, `module_titre`, `module_page`, `module_rang`, `actif_id`, `module_order`, `module_group`, `module_limit`, `module_bases`, `module_icon`) VALUES
(419, 246, 'Gestion Email', 'Email', 'email', 10, 1, '2', 'e.email_id', 50, 'email|email_nom', '');");
    }
}
