<?php

/**
 * Class Pays
 */
class Pays extends Model{

    const FRANCE = 77;

    protected $table = 'pays';

    public function __construct($id = null)
    {
        $this->leftJoin[] = array('zone', 'p.zone_id', 'z.zone_id');
        parent::__construct($id);
    }

    // recuperation des pays
    function get($formvars = array(), $champs = "") {

        $sql = "SELECT *";
        $sql.=" FROM (pays p, pays_nom pn, zone z)";
        $sql.=" WHERE 1";
        $sql.=" AND pn.langue_id = '" . Boutique::getInstance()->getLangue()->id . "'";
        $sql.=" AND p.pays_id = pn.pays_id";
        $sql.=" AND z.zone_id = p.zone_id";

        if (!empty($formvars['pays_id']))
            $sql.=" AND p.pays_id = '" . $formvars['pays_id'] . "'";
        if (!empty($formvars['pays_iso_code_2']))
            $sql.=" AND pays_iso_code_2 = '" . $formvars['pays_iso_code_2'] . "'";
        if (!empty($formvars['zone_id']))
            $sql.=" AND p.zone_id = '" . $formvars['zone_id'] . "'";

        $sql.=" GROUP BY p.pays_id";
        $sql.=" ORDER BY pays_nom_nom";

        if (empty($champs)) {
            $result = $this->sql->getAll($sql);

            if (!empty($formvars['format']) && $formvars['format'] == 'assoc') {
                $result = Tools::formatAssoc($result, 'pays_id', 'pays_nom_nom');
            }

            return $result;
        } else {
            $this->sql->query($sql, SiteSQL::SQL_INIT, SiteSQL::SQL_ASSOC);
            return $this->sql->record[$champs];
        }
    }

    public function isTva($paysId = null)
    {
        if (empty($this->pays_id) && is_null($paysId)) {
            throw new DediException('no pays_id for method isTva()');
        }

        if (is_null($paysId) == false) {
            $pays = new Pays($paysId);
        } else {
            $pays = $this;
        }

        return ($pays->zone_taxe_id == 1);
    }
}