<?php

namespace Tree;

class Node
{
    /**
     * @var array
     */
    protected $data;
    /**
     * @var \Tree\Node[]
     */
    protected $children;

    public function __construct($data = array())
    {
        $this->data = $data;
        $this->children = array();
    }

    public function addChildren(Node $node)
    {
        $this->children[] = $node;
    }

    public function getChildren()
    {
        return $this->children;
    }

    public function haveChildren()
    {
        return (count($this->children) > 0);
    }

    public function toArray()
    {
        return $this->data;
    }

    public function __get($name)
    {
        if (array_key_exists($name, $this->data)) {
            return $this->data[$name];
        }
    }

    public function __set($name, $value)
    {
        $this->data[$name] = $value;
    }

    public function __isset($name)
    {
        return !empty($this->data[$name]);
    }
}