{extends file='layout/layout.tpl'}
{block name='content'}
    <div class="account">
        <div class="container">
            {Breadcrumb::getInstance()->render()}
            {include file="account/top-account.tpl"}

            <div class="account-menu">
                {include file="account/aside.tpl" page="history"}
            </div>

            <div class="account-panel history-id">
                <h1 class="bottom-grey-border">Détail commande N°{$tplVars['commande']['commande_id']}</h1>

                <table class="table table-responsive stats">
                    <tr class="head">
                        <td class="text status">
                            {txt value="Statut :"} {$tplVars['statut']['commande_statut_nom_nom']} | {$tplVars['statut']['commande_statut_rang']}%
                        </td>
                        <td class="text ref">
                            {txt value="Réf. : "} {$tplVars['commande']['commande_id']}
                        </td>
                        <td class="text date">
                            {txt value="Date : "} {$tplVars['commande']['commande_date_ajout']|date_format:"%d/%m/%Y %H:%I"}
                        </td>
                    </tr>
                </table>

                <div class="details-header">
                    <div class="products">
                        {txt value="Produits"}
                    </div>
                    <div class="quantity">
                        {txt value="Quantité"}
                    </div>
                    <div class="price">
                        {txt value="Prix TTC"};
                    </div>
                    <div class="suivi">
                        {txt value="Suivi de vos colis"}
                    </div>
                </div>

                <div class="product-list">
                    {foreach from=$tplVars['produit'] item=product}
                        <div class="product-row">
                            <div class="title">
                                {$product['produit_nom']}
                            </div>
                            <div class="quantity">
                                {$product['produit_quantite']}
                            </div>
                            <div class="value">
                                {price ttc=$product['produit_total_ht']}
                            </div>
                        </div>
                    {/foreach}

                    <div class="product-row bottom">
                        <div class="title spaced">
                            {txt value="Sous-total :"}
                        </div>
                        <div class="value">
                            {price ht=$tplVars['commande']['commande_stotal_ht']}
                        </div>
                    </div>
                    <div class="product-row bottom">
                        <div class="title spaced">
                            {txt value="Frais de port :"}
                        </div>
                        <div class="value">
                            {price ht=$tplVars['commande']['commande_port_ht']}
                        </div>
                    </div>
                    <div class="product-row bottom">
                        <div class="title spaced">
                            {txt value="TVA :"}
                        </div>
                        <div class="value">
                            {price ttc=$tplVars['commande']['commande_total_taxe'] notag=true}
                        </div>
                    </div>
                    <div class="product-row bottom">
                        <div class="title total">
                            {txt value="TOTAL TTC :"}
                        </div>
                        <div class="value total">
                            {price ttc=$tplVars['commande']['commande_total_ttc']}
                        </div>
                    </div>
                </div>

                <div class="suivi-content">
                    <div class="information-row">
                        {txt value="Transporteur : "}<br>
                        <strong>
                            {$tplVars['commande']['commande_livraison_nom']}
                        </strong>
                    </div>
                    <div class="information-row">
                        {txt value="Numéro de suivi : "}<br>
                        <strong class="suivi-number">
                            {$tplVars['commande']['commande_facture_numero']}
                        </strong>
                    </div>
                    <div class="information-row">
                        {txt value="Etat de la commande&nbsp: "}<br>
                        <strong>{$tplVars['statut']['commande_statut_nom_nom']}</strong>
                    </div>
                    <div class="information-row">
                        <a href="{url page="bon_commande" commande_id=$tplVars['commande']['commande_id']}">
                            <img src="{$themeFolder}/images/pdf_icon.png" alt="pdf_icon" />
                            <strong>
                                {txt value="Télécharger "}<br>
                                {txt value="le bon"}<br>
                                {txt value="de commande"}
                            </strong>
                        </a>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>
        </div>
    </div>
{/block}