{extends file="layout/layout.tpl"}

{block name="script"}
    <script src="{$themeFolder}/js/jquery.popup.js"></script>
{/block}

{block name="content"}

<div class="listing">
    {Breadcrumb::getInstance()->render()}


    <div class="category-info">
        <h1 class="bottom-grey-border">
            {$categorie->categorie_nom_nom}
        </h1>

        <p class="category-description">
            {$categorie->categorie_nom_desc}
        </p>
    </div>

    <div class="products-container">
        <div class="filters">
            <h3 class="bottom-grey-border">{txt value='Affinez votre recherche'}</h3>

            {if !empty($arrCritere) || (isset($urlWithPrice) && $urlWithPrice)}
                <div class="current-filters">
                    <h4>{txt value='Vos critères'}</h4>
                    <ul>
                        {if !empty($arrCritere)}
                            {foreach $arrCritere as $critere}
                                <li><a class="close" href="{$critere.url}">X</a>&nbsp;&nbsp;&nbsp;{$critere.caracteristique_nom_nom} : {$critere.caracteristique_valeur_nom_nom}</li>
                            {/foreach}
                        {/if}
                        {if isset($urlWithPrice) && $urlWithPrice}
                            <li><a class="close" href="{$baseUrl}">X</a>&nbsp;&nbsp;&nbsp;{{txt value='Prix'}|ucfirst} : {txt value='de'} {$prix_min} € {txt value='à'} {$prix_max} €</li>
                        {/if}
                    </ul>
                    <a href="{$urlPage}" class="btn btn-white delete-all">{txt value='Effacer les filtres'}</a>
                </div>
            {/if}

            {if !empty($arrChildCateg)}
                <div>
                    <h4>{txt value='Catégories'}</h4>
                    <ul>
                        {foreach $arrChildCateg as $child}
                            <li>{if $child.categorie_id != $categorie->categorie_id}<a href="{url page='liste_1' id=$child.categorie_id categorie_nom=$child.categorie_nom_nom}">{/if}{$child.categorie_nom_nom}{if $child.categorie_id != $categorie->categorie_id}</a>{/if}</li>
                        {/foreach}
                    </ul>
                </div>
            {/if}

            <div>
                <h4>{txt value='Prix'}</h4>

                <div class="price-filter">
                    <div class="labels">
                        <div class="leftLabel"></div>
                        <div class="rightLabel"></div>
                    </div>
                    <div class="nstSlider" data-range_min="{$lepluspetitprix}" data-range_max="{$leplusgrandprix}"
                         data-cur_min="{if isset($prix_min)}{$prix_min}{else}{$lepluspetitprix}{/if}"  data-cur_max="{if isset($prix_max)}{$prix_max}{else}{$leplusgrandprix}{/if}">

                        <div class="bar"></div>
                        <div class="leftGrip"></div>
                        <div class="rightGrip"></div>
                    </div>
                    <form id="prix_range" action="{$baseUrl}" method="get">
                        <input type="hidden" name="prix_min" value="{if isset($prix_min)}{$prix_min}{else}{$lepluspetitprix}{/if}" />
                        <input type="hidden" name="prix_max" value="{if isset($prix_max)}{$prix_max}{else}{$leplusgrandprix}{/if}" />
                    </form>
                </div>
            </div>

            {if !empty($arrCaracteristique)}
                {foreach $arrCaracteristique as $carac}
                    {if isset($carac.valeur) && !empty($carac.valeur)}
                        {if $carac.caracteristique_template == 'checkbox'}
                            {include file="listing/filtres/checkbox.tpl"}
                        {elseif $carac.caracteristique_template == 'couleur'}
                            {include file="listing/filtres/couleur.tpl"}
                        {else}
                            {include file="listing/filtres/default.tpl"}
                        {/if}
                    {/if}
                {/foreach}
            {/if}

        </div>

        <div class="mobile-filters">
            {if !empty($arrChildCateg)}
                <div class="collapse-group">
                    <button class="btn categories collapsed" data-toggle="collapse" data-target="#view-categories"></button>
                    <div class="collapse" id="view-categories">
                        <ul>
                            {foreach $arrChildCateg as $child}
                                <li>{if $child.categorie_id != $categorie->categorie_id}<a href="{url page='liste_1' id=$child.categorie_id categorie_nom=$child.categorie_nom_nom}">{/if}{$child.categorie_nom_nom}{if $child.categorie_id != $categorie->categorie_id}</a>{/if}</li>
                            {/foreach}
                        </ul>
                    </div>
                </div>
            {/if}
            {if !empty($arrCritere)}
                <div class="collapse-group">
                    <button class="btn current-filters collapsed" data-toggle="collapse" data-target="#view-current-filters"></button>
                    <div class="collapse" id="view-current-filters">
                        <div class="current-filters">
                            <h4>{txt value='Vos critères'}</h4>
                            <ul>
                                {foreach $arrCritere as $critere}
                                    <li><a class="close" href="{$critere.url}">X</a>&nbsp;&nbsp;&nbsp;{$critere.caracteristique_nom_nom} : {$critere.caracteristique_valeur_nom_nom}</li>
                                {/foreach}
                            </ul>
                            <a href="{url page="liste_1" id=$categorie->categorie_id categorie_nom=$categorie->categorie_nom_nom}" class="btn btn-white delete-all">{txt value='Effacer les filtres'}</a>
                        </div>
                    </div>
                </div>
            {/if}
            {if !empty($arrCaracteristique)}
            <div class="collapse-group">
                <button class="btn our-filters collapsed" data-toggle="collapse" data-target="#view-filters"></button>
                <div class="collapse" id="view-filters">
                    <form action="" method="">
                        {foreach $arrCaracteristique as $carac}
                            {include file="listing/filtres/mobile/default.tpl"}
                        {/foreach}
                        <button class="btn btn-red">{txt value='Appliquer les filtres'}</button>
                    </form>
                </div>
            </div>
            {/if}
        </div>

        <div class="products-wrapper">
            <div class="pagination-sorting top">
                {include file='listing/tri.tpl' top=true}
            </div>

            <div class="products">
                {foreach $arrProd as $produit}
                    {include file="produit/listing.tpl" p=$produit}
                {foreachelse}
                    <p>{txt value="Aucun produit ne correspond à votre recherche"}</p>
                {/foreach}
            </div>

            <div class="pagination-sorting bottom">
                {include file='listing/tri.tpl'}
            </div>
        </div>
    </div>
</div>


{/block}


{block name="script-js"}
    <script type="text/javascript">
        $(document).ready(function(){
            $(document).on('change', 'select[name=limit], select[name=order]', function(event){
                console.log($(this).parents('form#tri'));
                $(this).parents('form#tri').submit();
            });
            $(document).on('submit', 'form[name="add-panier"], .add-panier', function(event){
                event.preventDefault();
                new Panier().add(jQuery(this));
            });
        });
    </script>
{/block}
