/*
 Exemple
 jQuery("#myLien").click(function(){
 jQuery("body").popup({
 background:{
 id:'bgpopup',
 css:{'background':'red'},
 removeOnClick:true
 },
 popup:{
 id:'mypopup',
 css:{'background':'url(mon_image.jpg)','width':'500px', 'height':'375px'},
 removeOnClick:{0:'#firstId', 1:'#secondId'}
 },
 ajax:'page.php',
 data:'',
 content:'',
 callback:'myFunction()'
 });
 });

 */

(function($) {
    $.fn.popup = function(options){

        // valeur par defaut
        var heightScreen = $(this).outerHeight();
        var widthScreen = $(this).outerWidth();
        var defaults = {
            background: 	{
                id:'bg-popup',
                css:{
                    'background':'#000',
                    'opacity':'0.5',
                    'z-index':'5000',
                    'position':'fixed',
                    'overflow':'hidden',
                    "width":"100%",
                    "top":"0",
                    "height":"100%"
                },
                removeOnClick:true
            },
            popup: 			{
                id:'popup',
                css:{
                    'width':'940px',
                    'marginLeft':'10px',
                    'height':'260px',
                    'z-index':'5500',
                    'position':'relative',
                    'background':'transparent',
                    "marginBottom":"150px"
                }
            },
            popupWrapper: {
                css: {
                    "position": "fixed",
                    "zIndex": "9999",
                    "overflow": "auto",
                    "overflowY": "scroll",
                    "bottom": "0",
                    "right": "0",
                    "top": "0",
                    "left": "0"
                },
                removeOnClick:true
            }
        };

        // fusion des 2 tableaux, avec true en premier param => fusion recursive
        options = $.extend(true, defaults, options);

        // calcul pour centrer la popup
        options.popup.css.top = $(window).height()/5; // 20% from top
        options.popup.css.left = (widthScreen/2) - (parseInt(options.popup.css.width)/2);

        // creation des div
        var myBg = $("<div></div>").hide().attr("id", options.background.id).css(options.background.css)/*.appendTo(this)*/;
        var myPopup = $("<div></div>").hide().attr("id", options.popup.id).css(options.popup.css).wrap("<div></div>");
        var wrapper = $('<div class="popupwrapper popupscroll"></div>').css(options.popupWrapper.css).appendTo(this);
        wrapper.append(myPopup);
        wrapper.append(myBg);

        // si requete AJAX pour charger contenu popup
        if(options.ajax){
            if(!options.data) options.data = '';
            if(!options.method) options.method = 'POST';
            if(!options.dataType) options.dataType = 'html';
            $.ajax({
                type: options.method,
                url: options.ajax,
                data: options.data,
                dataType: options.dataType,
                success: function(html){
                    myPopup.html(html);
                    popupClickRemove();
                    if(options.callback){
                        eval(options.callback);
                    }
                }
            });
        }

        // si contenu a charger dans la popup
        if (options.content) {
            myPopup.html(options.content);
            popupClickRemove();
            if(options.callback){
                eval(options.callback);
            }
        }

        // bind evenement click
        if(options.background.removeOnClick){
            myBg.click(function(event){
                removePopup();
            });
        }

        // affichage des div
        $("select").css('visibility', 'hidden');
        $("body").css({"overflow":"hidden"});
        myBg.show();
        myPopup.fadeIn();

        // fonction pour parcourir tableau des id pr fermer popup
        function popupClickRemove(){
            if(options.popup.removeOnClick){
                $.each(options.popup.removeOnClick, function(key, value){
                    $(value).css("cursor", "pointer").click(function(event){
                        removePopup();
                    });
                });
            }
        }

        // fonction suppression div
        function removePopup(){
            myPopup.fadeOut(function(){
                wrapper.remove();
                $("body").css({"overflow":"visible"});
                $("select").css('visibility', 'visible');
            });
        }
    };

})(jQuery);